
name: local-build
run-name: local-build ${{ github.actor }} 
on:
  # push:
  #   tags:
  #     - v1.**
  #   branches:
  #     - 'main'
  #   branches:
  #     - 'release-*'

  # Allow run workflow manually from Action tab
  workflow_dispatch:
env:
  REGISTRY: docker.frappet.com
  CMS_IMAGE_NAME: demo/qualifying-exam-cms
  CMS_IMAGE_TAG: 0.1.1
jobs:
  # act -W .github/workflows/local-build.yaml -j local-image 
  local-image:  
    runs-on: ubuntu-latest
    steps:
      - name: "Check out code"
        uses: actions/checkout@v3
      - uses: actions/setup-node@v3
        with:
          node-version: '18'
      - name: Build and push docker image
        uses: docker/build-push-action@v3
        with: 
          context: cms
          load: true
          tags: ${{env.REGISTRY}}/${{env.CMS_IMAGE_NAME}}:${{env.CMS_IMAGE_TAG}},${{env.REGISTRY}}/${{env.CMS_IMAGE_NAME}}:latest
